//
//  ColorViewController.h
//  NavigationStoryboard
//
//  Created by Holger Hinzberg on 04.03.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <UIKit/UIKit.h>

@class ColorViewController;

@protocol ColorViewControllerDelegateProtcol <NSObject>

-(void)colorDidChange:(ColorViewController *)controller;

@end

@interface ColorViewController : UIViewController

// Hier gibt es jetzt ein delegate
@property (weak, nonatomic) 
id <ColorViewControllerDelegateProtcol> delegate;

@property (strong, nonatomic) NSString *carColor;
@property (strong, nonatomic) IBOutlet UIButton *redButton;
@property (strong, nonatomic) IBOutlet UIButton *yellowButton;
@property (strong, nonatomic) IBOutlet UIButton *blueButton;
@property (strong, nonatomic) IBOutlet UIButton *greenButton;

- (IBAction)redButtonClicked:(id)sender;
- (IBAction)yellowButtonClicked:(id)sender;
- (IBAction)blueButtonClicked:(id)sender;
- (IBAction)greenButtonClicked:(id)sender;

@end
